summaryrefslogtreecommitdiffstats
path: root/builder/modules.d/kexec-reboot/module-setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'builder/modules.d/kexec-reboot/module-setup.sh')
-rwxr-xr-xbuilder/modules.d/kexec-reboot/module-setup.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/builder/modules.d/kexec-reboot/module-setup.sh b/builder/modules.d/kexec-reboot/module-setup.sh
index db41cce6..1cda92a0 100755
--- a/builder/modules.d/kexec-reboot/module-setup.sh
+++ b/builder/modules.d/kexec-reboot/module-setup.sh
@@ -3,14 +3,14 @@
check() {
# Tell dracut that this module should only be included if it is required
# explicitly.
- if ! which kexec 2>/dev/null; then
+ if ! hash kexec; then
derror "Failed to find kexec, please install it when using this module."
return 1
fi
return 255
}
depends() {
- echo dnbd3-rootfs
+ echo dnbd3-rootfs slx-tools
}
install() {
inst_simple "$moddir/scripts/kexec-reboot.sh" "/bin/kexec-reboot"